Report doesn't seem to allow attribute tables to be linked to the current atlas
Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28441

Description

My understanding is that the new Report feature is supposed to be something like a series of atlas groups, that's certainly the way it

seems to behave, but whilst the maps correctly iterate over the selected field for the given layer, it does not appear to be possible to do the

same with attribute tables.

Using the older Atlas generator, one could select 'current atlas feature' as a source for the attribute table, but within a group in Report

layout, no such selection seems to be possible. Surely there should be a 'current report feature' option, or similar to match attribute tables

to maps, otherwise Report layout is a retrograde step from the abilities of the Atlas.

I've added this as a bug for now because I'm working on the presumption that it would have been the intention of the Report layout to at

least replicate (if not improve on) the functions of the Atlas, and so the option is somehow not working properly.

I'm also confused by the option 'Show only features intersecting report feature' which appears to be permanently greyed out no matter

what other options are selected.

To be clear, the behaviour I would expect is the ability to filter the attribute table attached to a map so that it only shows the attributes for

the feature that map is zoomed to by the report layout.

If this is not just an oversight, then I'll convert this to a feature request.

History

#1 - 2018-11-26 09:02 AM - Giovanni Manghi

- Status changed from Open to Feedback

I suggest to ask in the developers mailing list. Then we can leave this as bug or make it a feature request depending on the feedback.

#2 - 2018-11-26 10:53 AM - Dan Isaacs

Giovanni Manghi wrote:

I suggest to ask in the developers mailing list. Then we can leave this as bug or make it a feature request depending on the feedback.

OK will do.

#3 - 2019-03-09 10:48 AM - Giovanni Manghi
- Affected QGIS version changed from 3.4.1 to 3.6.0

- Status changed from Feedback to Open
